# Uses of Class
org.eclipse.jdt.core.dom.Block

Packages that use Block
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of Block in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return Block
Modifier and Type
Method
Description
`Block`
CatchClause.`getBody()`
Returns the body of this catch clause.
`Block`
Initializer.`getBody()`
Returns the body of this initializer declaration.
`Block`
MethodDeclaration.`getBody()`
Returns the body of this method declaration, or `null` if this method has no body.
`Block`
SynchronizedStatement.`getBody()`
Returns the body of this synchronized statement.
`Block`
TryStatement.`getBody()`
Returns the body of this try statement.
`Block`
TryStatement.`getFinally()`
Returns the finally block of this try statement, or `null` if this try statement has no finally block.
`Block`
AST.`newBlock()`
Creates an unparented block node owned by this AST, for an empty list of statements.
Methods in org.eclipse.jdt.core.dom with parameters of type Block
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(Block node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(Block node, Object other)`
Returns whether the given node and the other object match.
`void`
CatchClause.`setBody(Block body)`
Sets the body of this catch clause.
`void`
Initializer.`setBody(Block body)`
Sets the body of this initializer declaration.
`void`
MethodDeclaration.`setBody(Block body)`
Sets or clears the body of this method declaration.
`void`
SynchronizedStatement.`setBody(Block block)`
Sets the body of this synchronized statement.
`void`
TryStatement.`setBody(Block body)`
Sets the body of this try statement.
`void`
TryStatement.`setFinally(Block block)`
Sets or clears the finally block of this try statement.
`boolean`
ASTVisitor.`visit(Block node)`
Visits the given type-specific AST node.